Honeycomb
probe SLO

# get_slo

Retrieve the current state of an SLO

Run it now
View details

Type | probe
Module | chaoshoneycomb.slo.probes
Name | get_slo
Return | mapping

Usage

JSON

    {
      "name": "get-slo",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaoshoneycomb.slo.probes",
        "func": "get_slo",
        "arguments": {
          "dataset_slug": "",
          "slo_id": ""
        }
      }
    }

YAML

    name: get-slo
    provider:
      arguments:
        dataset_slug: ''
        slo_id: ''
      func: get_slo
      module: chaoshoneycomb.slo.probes
      type: python
    type: probe

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
dataset_slug | string |  | Yes | Dataset | Dataset slug
slo_id | string |  | Yes | SLO Identifier |
detailed | boolean | true | No | Detailed | Return a detailed SLO report

Signature

    def get_slo(dataset_slug: str,
                slo_id: str,
                detailed: bool = True,
                configuration: Dict[str, Dict[str, str]] = None,
                secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Honeycomb
  probe SLO

  ## `list_burn_alerts`

  List all burn alerts for a SLO
- Honeycomb
  probe SLO

  ## `slo_has_enough_remaining_budget`

  Verifies that an SLO has enough error budget left
- Honeycomb
  probe Trigger

  ## `trigger_is_unresolved`

  Checks that the trigger is in unresolved (“triggered”) state.